Package com.evopdf

# Enum ColorSpace

java.lang.Object
java.lang.Enum<ColorSpace>
com.evopdf.ColorSpace

All Implemented Interfaces:
  `Serializable`, `Comparable<ColorSpace>`, `java.lang.constant.Constable`

public enum ColorSpace extends Enum<ColorSpace>
This enumeration contains the possible color spaces of a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CMYK`
  CMYK color space.
  `Gray`
  Gray color space.
  `RGB`
  RGB color space.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static ColorSpace`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ColorSpace[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RGB

    public static final ColorSpace RGB
    RGB color space.

  - ### CMYK

    public static final ColorSpace CMYK
    CMYK color space.

  - ### Gray

    public static final ColorSpace Gray
    Gray color space.

- ## Method Details

  - ### values

    public static ColorSpace[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ColorSpace valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()